> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shipping Options

> Returns all available shipping options for a cart, specified by cartToken or by full checkoutCartInfo details.

Returns all available shipping options for the cart information specified either by `cartToken` or by including all the relevant `checkoutCartInfo` details.


## OpenAPI

````yaml api-reference/specs/shippingoptions.yaml POST /Browsing/ShippingOptions
openapi: 3.0.3
info:
  title: ShippingOptions
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Returns all available shipping options for the cart information specified
    either by cartToken or by including all the relevant checkoutCartInfo
    details.
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: ShippingOptions
    x-page-title: ShippingOptions
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Browsing & Catalog'
paths:
  /Browsing/ShippingOptions:
    post:
      tags:
        - ShippingOptions
      summary: Return all available shipping options for the specified cart
      description: >-
        Returns all available shipping options for the cart information
        specified either by cartToken or by including all the relevant
        checkoutCartInfo details.
      operationId: shippingOptions
      parameters:
        - name: cartToken
          in: query
          required: false
          description: >-
            Merchants who implement API checkout only, may specify the Cart
            token returned by the SendCart method preceding the current method
            call. In this case, all other arguments will be ignored and the
            information stored in the respective Cart will be used instead.
            Either cartToken or checkoutCartInfo must be specified.
          schema:
            type: string
        - name: checkoutCartInfo
          in: query
          required: false
          description: >-
            Full cart information. Either cartToken or checkoutCartInfo must be
            specified.
          schema:
            $ref: '#/components/schemas/CheckoutCartInfo'
      responses:
        '200':
          description: List of shipping options.
          content:
            application/json:
              schema:
                type: object
                properties:
                  CheckoutShippingOption:
                    type: array
                    description: List of shipping options
                    items:
                      $ref: '#/components/schemas/CheckoutShippingOption'
components:
  schemas:
    CheckoutCartInfo:
      type: object
      title: CheckoutCartInfo
      required:
        - productsList
      properties:
        allowMailsFromMerchant:
          type: boolean
          description: >-
            Indicates if the end customer’s consent to receive emails from
            merchants should be pre-selected in the Global‑e Checkout. TRUE -
            Customer consents to receive emails. FALSE - Customer does not
            consent to receive emails.
        billingDetails:
          allOf:
            - $ref: '#/components/schemas/UserDetails'
          description: >-
            Billing details of a registered user (if available on the Merchant’s
            site). If the userDetails property mentioned below is specified,
            then billingDetails will be ignored.
        clientIP:
          type: string
          description: The end customer’s IP address
        CountryCode:
          type: string
          description: >-
            2-char ISO country code of the shipping country either pre-defined
            using geo-location or actively selected by the end customer. This
            may be different from shippingDetails.CountryCode denoting the
            registered user’s country.
        cultureCode:
          type: string
          description: >-
            ISO culture code. If specified, the textual properties will be
            returned in the requested culture’s language if available. Texts in
            English will be returned by default.
        currencyCode:
          type: string
          description: >-
            3-char ISO currency code denoting the end customer’s currency. If
            not specified, the Merchant’s default currency will be assumed by
            default.
        discountList:
          type: array
          items:
            $ref: '#/components/schemas/Discounts'
          description: >-
            List of JSON-serialized Discounts to be applied to the cart.
            Discounts of any type (“cart”, “shipping”, etc.) may be specified.
        doNotChargeVAT:
          type: boolean
          description: >-
            Indicates if the end customer must not be charged VAT. This is
            usually set to TRUE for registered users who have validated their
            business entity’s VAT Registration Number with the merchant and are
            therefore VAT exempted.
        freeShippingCouponCode:
          type: string
          description: >-
            Merchant’s free shipping coupon code applied by the end customer.
            Max length: 50.
        hubID:
          type: number
          description: >-
            Identifier of the Global‑e’s Local Hub previously returned by API.
            If not specified, the default Merchant’s Hub will be used instead.
        IncludeVAT:
          type: number
          description: >-
            Optional for the merchants not supporting browsing integration. The
            value is returned from CountryCoefficients API.
        isFreeShipping:
          type: boolean
          description: >-
            Indicates if the Merchant offers free international shipping to the
            end customer.
        loyaltyCode:
          type: string
          description: >-
            The loyalty code specified by the end customer (or read from the end
            customer’s account) on the Merchant’s site.
        LoyaltyPoints:
          allOf:
            - $ref: '#/components/schemas/LoyaltyPoints'
          description: >-
            LoyaltyPoints contains data about the registered user for applying
            loyalty points on the Checkout page.
        loyaltyPointsEarned:
          type: number
          description: >-
            The number of loyalty points to be earned for this purchase by the
            end customer on the Merchant’s site.
        loyaltyPointsSpent:
          type: number
          description: >-
            The number of loyalty points to be spent for this purchase by the
            end customer on the Merchant’s site.
        loyaltyPointsTotal:
          type: number
          description: >-
            The total number of loyalty points currently available in the end
            customer’s user account on the Merchant’s site.
        merchantCartHash:
          type: string
          description: >-
            A hash may be optionally generated by the merchant and returned to
            the merchant with an order API call. This hash may be used for
            additional cart and order validation purposes on the Merchant’s
            side. No max length.
        MerchantOrderId:
          type: string
          description: >-
            The merchant order id, if it is already known, at the point when the
            user is still in the cart page on the merchant’s store.
        originalCurrencyCode:
          type: string
          description: >-
            3-char ISO currency code denoting the original currency on the
            Merchant’s site (before applying country coefficient and FX
            conversion). If not specified, the Merchant’s default currency will
            be assumed by default.
        otVoucherAmount:
          type: number
          description: Amount of the one-time voucher in otVoucherCurrencyCode currency.
        otVoucherCode:
          type: string
          description: One-time voucher code for the cart (for applicable platforms).
        otVoucherCurrencyCode:
          type: string
          description: One-time voucher currency used for the amount.
        paymentInstallments:
          type: string
          description: >-
            List of available payment instalment amounts. For example: {2,4,6,8}
            – This indicates that we should allow instalments in 2, 4, 6 or 8
            instalment options (to be selected by the customer).
        productsList:
          type: array
          items:
            $ref: '#/components/schemas/Product'
          description: List of Product objects (specified in the request body)
        rateData:
          type: string
          description: >-
            Currency data is used by Global-e to verify the currency rate and to
            return the value received in the used currency rate. Optional,
            irrelevant for GetCheckoutCartInfo API response
        shippingDetails:
          allOf:
            - $ref: '#/components/schemas/UserDetails'
          description: >-
            Shipping details of a registered user (if available on the
            Merchant’s site). If the userDetails property is specified, then the
            shippingDetails will be ignored. If countryCode is not specified,
            the shipping country must be specified in
            shippingDetails.CountryCode property. If not specified neither in
            the countryCode argument nor in shippingDetails.CountryCode
            property, clientIP argument defined above becomes mandatory and will
            be used to determine the end user’s shipping country by Global‑e
            system.
        shippingOptionsList:
          type: array
          items:
            $ref: '#/components/schemas/ShippingOption'
          description: >-
            List of JSON-serialized Shipping Options available for local
            shipping of the order from the Merchant to Global‑e’s Local Hub
            previously returned by ActiveHubDetails API. If the Global-e
            integration shipping API has been created and enabled for Global‑e
            on the Merchant’s site, Global‑e will prefer this Shipping Option
            when posting the order back to the Merchant’s site (using
            SendOrderToMerchant API). Therefore, all other shipping APIs
            available for local shipping may be omitted in shippingOptionsList .
        urlParameters:
          type: array
          items:
            $ref: '#/components/schemas/KeyValuePair'
          description: >-
            List of JSON-serialized Key:Value pairs denoting the values of the
            parameters specified in the respective Merchant’s REST API action
            URLs. For example, to instruct Global‑e to include “en-AU” locale in
            the SendOrderToMerchant call for this cart, urlParameters should
            include the following KeyValuePair: [{"Key":"locale",
            "Value":"en-AU"}] . In this example “locale” parameter should be
            configured for SendOrderToMerchant URL for this merchant on the
            Global‑e side.
        userDetails:
          allOf:
            - $ref: '#/components/schemas/CartUserDetails'
          description: >-
            All available details of the user including all relevant addresses.
            If userDetails is not specified, then shippingDetails and
            billingDetails properties will be used instead. userDetails property
            can be used by merchants who support multiple shipping and/or
            multiple billing addresses in the user’s account.
        vatRegistrationNumber:
          type: string
          description: >-
            VAT Registration Number of the end customer’s business entity
            validated with the merchant.
        webStoreCode:
          type: string
          description: >-
            Code used on the merchant’s side to identify the web store where the
            current cart is originating. This code should be used when a
            multi-store setup is on the merchant’s site. Max length: 100
        webStoreInstanceCode:
          type: string
          description: >-
            Code used on the merchant’s side to identify the web store instance
            where the current cart is originating from. This code should be used
            in case of multi-store domains set up on the merchant’s site.
    CheckoutShippingOption:
      type: object
      title: CheckoutShippingOption
      properties:
        DeliveryDaysFrom:
          type: number
          description: >-
            Minimum number of days for delivery to the end customer’s shipping
            country for this shipping option
        DeliveryDaysTo:
          type: number
          description: >-
            Maximum number of delivery days to the end customer’s shipping
            country for this shipping option
        ForceDDP:
          type: number
          enum:
            - 0
            - 1
            - 2
          description: >-
            One of the possible values of ForceDDPTypes enumeration denoting a
            type of DDP enforcement for this shipping option (applicable only if
            SupportsDDP is set to TRUE) as listed in the table below.
        Price:
          type: number
          description: Shipping price in end customer currency for this cart
        PriceBeforeDiscount:
          type: number
          description: >-
            Shipping price in end customer currency for this cart, before
            applying shipping discounts
        ShippingMethodId:
          type: string
          description: Unique identifier of the shipping method in the Global-e system
        ShippingMethodTypeName:
          type: string
          description: Shipping method type name
        SupportsDDP:
          type: boolean
          description: Indicates if taxes & duties may be prepaid for this shipping option
    UserDetails:
      type: object
      title: UserDetails
      properties:
        Address1:
          type: string
          description: Address line 1
        Address2:
          type: string
          description: Address line 2
        City:
          type: string
          description: City name
        Company:
          type: string
          description: Company name
        CountryCode:
          type: string
          description: 2-char ISO country code
        CountryName:
          type: string
          description: Country name
        Email:
          type: string
          description: E-mail address
        Fax:
          type: string
          description: Fax
        FirstName:
          type: string
          description: First name
        FirstNameInLocalCulture:
          type: string
          description: 'First name in local culture Ex: Kana Japanese dialect'
        LastName:
          type: string
          description: Last name
        LastNameInLocalCulture:
          type: string
          description: 'Last name in local culture Ex: Kana Japanese dialect'
        MiddleName:
          type: string
          description: Middle name
        Phone1:
          type: string
          description: Phone
        Phone2:
          type: string
          description: Phone
        Salutation:
          type: string
          description: Salutation or title (e.g. Dr., Mr., etc.)
        StateCode:
          type: string
          description: State or province ISO code such as AZ for Arizona (if applicable)
        StateOrProvice:
          type: string
          description: State or province name
        UserId:
          type: string
          description: Internal User identifier on the Merchant site
        UserIdNumber:
          type: string
          description: User’s personal ID document number
        UserIdNumberType:
          allOf:
            - $ref: '#/components/schemas/UserIdNumberType'
          description: User’s personal ID document type (e.g. Passport, ID card, etc.)
        Zip:
          type: string
          description: Zip or postal code
    Discounts:
      type: object
      title: Discounts
      required:
        - OriginalDiscountValue
        - CalculationMode
      properties:
        CouponCode:
          type: string
          description: >-
            Merchant Coupon Code used for this discount (applicable to
            coupon-based discounts only). Max length: 100 chars.
        Description:
          type: string
          description: 'Discount textual description. Length: Unlimited.'
        DiscountType:
          type: integer
          description: >-
            One of the following possible values of DiscountTypeOptions
            enumeration denoting a type of discount: Cart discount - 1 Shipping
            discount - 2 Loyalty points discount - 3 Duties discount - 4
            Checkout Loyalty points discount - 5 Payment charge - 6
        DiscountValue:
          type: number
          description: >-
            Discount value in end customer’s currency (specified in
            InternationalDetails.CurrencyCode property for the Merchant.Order ,
            after applying country coefficient, FX conversion, and IncludeVAT.
        Name:
          type: string
          description: 'Discount name. Length: Unlimited.'
        OriginalDiscountValue:
          type: number
          description: >-
            Discount value in the currency defined in the CurrencyCode ;
            property of the Merchant.Order ; object for the order being
            submitted to the Merchant.
        VATRate:
          type: number
          description: The VAT rate applied to this discount
        ProductCartItemId:
          type: string
          description: >-
            For product level discount, match the unique CartItemId line
            identifier of the respective product in the productList. For cart
            level discounts, leave this field blank or null.
        CalculationMode:
          type: integer
          description: >-
            The mode of calculation: 1 - value in base currency while
            maintaining ratio to domestic discount 2 - fixed amount in base
            currency 3 - fixed amount in shopper currency (used for fixed price
            markets only)
    LoyaltyPoints:
      type: object
      title: LoyaltyPoints
      properties:
        LoyaltyPointsMaxSpend:
          type: number
          description: >-
            The limit loyalty points that the user can use in this order – if
            not exists the LoyaltyPointsTotal is taken.
        LoyaltyPointsOriginalValueForEarn:
          type: number
          description: >-
            Value of one loyalty point for earn, in Merchant currency – optional
            if LoyaltyPointsOriginalForEarn exists.
        LoyaltyPointsOriginalValueForSpend:
          type: number
          description: >-
            Value of one loyalty point for spending, in Merchant currency –
            optional if LoyaltyPointsValueForSpend exists.
        LoyaltyPointsTotal:
          type: number
          description: >-
            The total loyalty points the user has on account at the Merchant’s
            site
        LoyaltyPointsValueForEarn:
          type: number
          description: >-
            Value of one loyalty point for earn, in customer currency – optional
            if LoyaltyPointsOriginalValueForEarn exists.
        LoyaltyPointsValueForSpend:
          type: number
          description: >-
            Value of one loyalty point for spending, in customer currency –
            optional if LoyaltyPointsOriginalValueForSpend exists.
    Product:
      type: object
      title: Product
      properties:
        Attributes:
          type: array
          items:
            $ref: '#/components/schemas/Attributes'
          description: The product’s custom attributes (such as Color, Size, etc.)
        AttributesEnglish:
          type: array
          items:
            $ref: '#/components/schemas/Attributes'
          description: >-
            The product’s custom attributes (such as Color, Size, etc.) in
            English
        BackOrderDate:
          type: string
          description: Estimated date for the backordered item to be in stock
        Brand:
          allOf:
            - $ref: '#/components/schemas/Brand'
          description: The product’s brand
        CartItemId:
          type: string
          description: >-
            Identifier of the cart item on the Merchant’s site. This property
            may be optionally specified in the SendCart method only so that the
            same value can be posted back when creating the order on the
            Merchant’s site with the SendOrderToMerchant method.
        CartItemOptionId:
          type: string
          description: >-
            Identifier of the child cart item “option” on the Merchant’s site.
            This value must be specified if the current cart item is related to
            a parent item ( CartItemId must not be specified for this item
            because this attribute applies only to the “parent” item itself).
            For example, this item might indicate a package for the parent item
            in the same cart. This property may be optionally specified in the
            SendCart method only so that the same value can be posted back when
            creating the order on the Merchant’s site with the
            SendOrderToMerchant method.
        Categories:
          type: array
          items:
            $ref: '#/components/schemas/Category'
          description: The product’s categories
        DeliveryQuantity:
          type: number
          description: >-
            The quantity actually set for delivery for the product (to be used
            in the Order methods described below, as needed)
        Description:
          type: string
          description: Description of the Product
        DescriptionEnglish:
          type: string
          description: Description of the Product in English
        GenericHSCode:
          type: string
          description: >-
            The product’s generic HS Code (not country-specific). If specified
            this property may assist in mapping the product for duties and taxes
            calculation purposes.
        GiftMessage:
          type: string
          description: >-
            Optional “gift message” text defined by the end customer to be
            printed on the product.
        HandlingCode:
          type: string
          description: >-
            Code applicable to the product on the Merchant’s site. This code may
            be optionally used by the Merchant to trigger a certain business
            logic when this product is included in the order posted back to the
            Merchant’s site with the SendOrderToMerchant method.
        Height:
          type: number
          description: >-
            The product’s height in the Merchant’s default unit of length
            measure (will be converted to CM).
        HubCode:
          type: string
          description: >-
            The Merchant hub code indicates from which hub the product was sent.
            Note that the HubCode should be mapped to a Global-e hubId on the
            Global-e side.
        ImageHeight:
          type: number
          description: The product’s image height in pixels
        ImageURL:
          type: string
          description: The product’s image URL
        ImageWidth:
          type: number
          description: The product’s image width in pixels
        IsBackOrdered:
          type: boolean
          description: >-
            Boolean specifying if the product was ordered as a back ordered
            item. TRUE - The item is back ordered FALSE - The item is not back
            ordered. Default FALSE.
        IsBlockedForGlobalE:
          type: boolean
          description: >-
            Indicates if product is available for international shipping. TRUE -
            The product is not available for international shipping FALSE - The
            product is available for international shipping
        IsBundle:
          type: boolean
          description: >-
            Indicates if the product represents a set of products. TRUE - The
            product represents a set of other products. If a bundled product has
            non-zero prices specified (i.e. OriginalListPrice , ListPrice ,
            etc.), then all the contained products must have zero prices, and
            vice versa, to avoid double charging for the same products. FALSE -
            The product does not represent a set of other products.
        IsFixedPrice:
          type: boolean
          description: >-
            Indicates if the product’s price is fixed by the Merchant, in the
            default currency for the country. TRUE - The product’s price is
            fixed. In this case, all price modifications are disabled for this
            product. Setting fixed prices is only allowed for the Countries
            where the SupportsFixedPrices flag is set to TRUE. FALSE - The
            product's price is not fixed.
        IsVirtual:
          type: boolean
          description: >-
            Indicates if the product represents a virtual product that does not
            have weight or volume and doesn’t affect shipping calculation in
            Global‑e checkout TRUE - The product represents a virtual product
            FALSE - The product does not represent a virtual product
        Keywords:
          type: string
          description: The product’s keywords
        Length:
          type: number
          description: >-
            The product’s length in the Merchant’s default unit of length
            measure (will be converted to CM).
        LineItemOriginalSalePrice:
          type: number
          description: >-
            Line item (product in ordered quantity) sale price in the original
            Merchant’s currency including the local VAT, before applying any
            price modifications. This property always denotes the price in the
            default Merchant’s country, regardless of UseCountryVAT for the end
            customer’s current country. If not specified, will be deemed equal
            to “ OriginalSalePrice* OrderedQuantity ”. If specified, will take
            preference over OriginalSalePrice .
        LineItemSalePrice:
          type: number
          description: >-
            Line item (product in ordered quantity) sale price as displayed to
            the customer, after applying country coefficient, FX conversion and
            IncludeVAT handling, before rounding rules have been applied. If not
            specified, will be deemed equal to “ SalePrice * OrderedQuantity ”.
            If specified, will take preference over SalePrice .
        ListPrice:
          type: number
          description: >-
            Product list price (before discounts) as displayed to the customer,
            after applying country coefficient, FX conversion, rounding rule (if
            applicable) and IncludeVAT handling. Optional in SendCart ,
            SaveProductsBulk
        LocalVATRateType:
          allOf:
            - $ref: '#/components/schemas/VATRateType'
          description: >-
            VAT rate type or class that would be applied to this product if the
            order was placed by the local customer. This value must be specified
            if UseCountryVAT for the current Country is TRUE, and therefore the
            VATRateType property actually denotes the VAT for the target
            country.
        MetaData:
          allOf:
            - $ref: '#/components/schemas/ProductMetaData'
          description: >-
            Used to hold additional product data such as customer-defined
            product attributes.
        Name:
          type: string
          description: Name of the Product
        NameEnglish:
          type: string
          description: Name of the Product in English
        NetVolume:
          type: number
          description: >-
            The product’s net volume in the Merchant’s default unit of volume
            measure (will be converted to cubic CM). If specified, this property
            indicates the net volume of the product, excluding any packaging.
        NetWeight:
          type: number
          description: >-
            The product’s net weight in the Merchant’s default unit of weight
            measure (will be converted to grams). If specified, this property
            indicates the net weight of the product, excluding any packaging.
        OrderedQuantity:
          type: number
          description: >-
            Ordered quantity for the product (to be used in Checkout / Order
            methods described below, as needed)
        OriginalListPrice:
          type: number
          description: >-
            Product list price (before any discounts) in the original Merchant’s
            currency including the local VAT, before applying any price
            modifications. This property always denotes the product’s price in
            the default Merchant’s country, regardless of UseCountryVAT for the
            end customer’s current country. Optional in SendCart ,
            SaveProductsBulk
        OriginalSalePrice:
          type: number
          description: >-
            Product sale price in the original Merchant’s currency including the
            local VAT, before applying any price modifications. This property
            always denotes the product’s price in the default Merchant’s
            country, regardless of UseCountryVAT for the end customer’s current
            country. Optional in SaveProductsList , SaveProductsBulk
        OriginCountryCode:
          type: string
          description: >-
            2-char ISO country code of the product’s country of Origin. The
            Merchant’s country will be assumed if not specified.
        ParentCartItemId:
          type: string
          description: >-
            Identifier of the current item’s parent cart item on the Merchant’s
            site. This value must be specified if the current cart item is
            related to a parent item ( CartItemId must not be specified for this
            item because this attribute applies only to the “parent” item
            itself). For example, this item might indicate a custom option (such
            as a product package) for the parent item in the same cart. This
            property may be optionally specified in the SendCart method only so
            that the same value can be posted back when creating the order on
            the Merchant’s site with the SendOrderToMerchant method.
        PriceCoefficientRate:
          type: number
          description: >-
            Rate applicable to this Product’s ProductClassCode if returned from
            the CountryCoefficients method.
        ProductClassCode:
          type: string
          description: >-
            The product class code is used by the Merchant to classify products
            to use different country coefficient rates.
        ProductCode:
          type: string
          description: >-
            SKU code used to identify the product on the Merchant’s site (to be
            mapped on the Global‑e side)
        ProductCodeSecondary:
          type: string
          description: >-
            Secondary code that may be used to refer to the product on the
            Merchant’s site. This code may be used in addition to the
            ProductCode and is not guaranteed to be unique (may be reused for
            other products as long as the old product is not available on the
            Merchant’s site any more).
        ProductGroupCode:
          type: string
          description: >-
            Product’s group code on the Merchant’s site (to be mapped on the
            Global‑e side). Usually, this value is a part of the product SKU
            code denoting a group of similar products (such as "the same product
            in different s").
        ProductGroupCodeSecondary:
          type: string
          description: >-
            Secondary code that may refer to the group of products on the
            Merchant’s site. This code may be used in addition to the
            ProductGroupCode and is not guaranteed to be unique (may be reused
            for other groups as long as the old group is not available on the
            Merchant’s site anymore).
        SalePrice:
          type: number
          description: >-
            Product sale price as displayed to the customer, after applying
            country coefficient, FX conversion, rounding rule (if applicable)
            and IncludeVAT handling. Optional in SaveProductsList ,
            SaveProductsBulk , GetCheckoutCartInfo
        SalePriceBeforeRounding:
          type: number
          description: >-
            Product sale price as displayed to the customer, after applying
            country coefficient, FX conversion and IncludeVAT handling, before
            rounding rules have been applied. If not specified, will be deemed
            equal to SalePrice .
        SalePriceReason:
          type: string
          description: >-
            Reason for the sale price. This property may optionally contain the
            text definition of the promo that has resulted in the price
            deduction for this product (such as “10% discount on all shoes”).
        URL:
          type: string
          description: The product’s information page URL
        VATCategory:
          allOf:
            - $ref: '#/components/schemas/VATCategory'
          description: >-
            The product’s VAT category. A product may be assigned to a single
            VAT category on the Merchant’s site. If available, the respective
            product’s HS Code should be used as the VAT category for a product.
        VATRateType:
          allOf:
            - $ref: '#/components/schemas/VATRateType'
          description: Product’s VAT rate type or class
        Volume:
          type: number
          description: >-
            The product’s volume in the Merchant’s default unit of volume
            measure (will be converted to cubic CM). Optional, can be used as an
            alternative for specifying all Height, Width and Length dimensions
        Weight:
          type: number
          description: >-
            The product’s weight is in the Merchant’s default unit of weight
            measure (will be converted to grams). The Merchant’s default product
            weight will be used if not specified.
        Width:
          type: number
          description: >-
            The product’s width in the Merchant’s default unit of length measure
            (will be converted to CM).
      example:
        - ProductCode: '1020872'
          Name: Lanolin
          Description: Breast%20Feeding%20Ointment
          GenericHSCode: ''
          OriginCountryCode: ''
          Weight: '1.0000'
          Height: null
          Length: null
          Volume: '60'
          ImageURL: /a/3/a3c9ef_ece3bec0467310603bce72e9a58e33d3.jpg
          ImageHeight: ''
          ImageWidth: ''
          ListPrice: '25.0000'
          OriginalListPrice: '17.7000'
          SalePrice: '15.0000'
          OriginalSalePrice: '17.7000'
          VATRateType:
            VATRateTypeCode: 1
            Name: Low
            Rate: '18.0000'
          Brand:
            BrandCode: '7'
            Name: Brand2
          Categories:
            - CategoryCode: '3'
              Name: Maternity
          OrderedQuantity: 1
    ShippingOption:
      type: object
      title: ShippingOption
      properties:
        Carrier:
          type: string
          description: Carrier’s short name
        CarrierName:
          type: string
          description: Carrier’s full name
        CarrierTitle:
          type: string
          description: Carrier’s title
        Code:
          type: string
          description: >-
            Shipping method code used to identify the shipping option on the
            Merchant’s site (to be mapped on the Global‑e side)
        Method:
          type: string
          description: Shipping method name
        MethodTitle:
          type: string
          description: Shipping method title
        MethodDescription:
          type: string
          description: Shipping method description
        Price:
          type: number
          description: >-
            Shipping price in Merchant’s original currency defined in the
            originalCurrencyCode argument of the respective method call (i.e.
            SendCart )
    KeyValuePair:
      type: object
      title: KeyValuePair
      properties:
        Key:
          type: string
          description: >-
            Entity key (for example a URL parameter) used on the Merchant’s site
            (to be mapped on the Global‑e side)
        Value:
          type: string
          description: Entity value for the respective Key
    CartUserDetails:
      type: object
      title: CartUserDetails
      properties:
        AddressDetails:
          type: array
          items:
            $ref: '#/components/schemas/AddressDetails'
          description: >-
            All available addresses are taken from the registered customer
            address book
        UserId:
          type: string
          description: Internal User identifier on the Merchant’s site
    UserIdNumberType:
      type: object
      title: UserIdNumberType
      properties:
        Name:
          type: string
          description: Identification document type name
        UserIdNumberTypeCode:
          type: string
          description: >-
            Code denoting a user identification document type (e.g. Passport, ID
            card, etc.) on the Merchant’s site (to be mapped on the Global‑e
            side)
    Attributes:
      type: object
      title: Attributes
      properties:
        AttributeCode:
          type: string
          description: >-
            Custom attribute code denoting a Merchant-specific attribute such as
            size, color, etc. (to be mapped on the Global‑e side)
        AttributeTypeCode:
          type: string
          description: >-
            Code used to identify the attribute type on the Merchant’s site such
            as “size” for size, “color” for "colour", etc. (to be mapped on the
            Global‑e side)
        Name:
          type: string
          description: Attribute name
    Brand:
      type: object
      title: Brand
      properties:
        BrandCode:
          type: string
          description: >-
            Brand code on the Merchant’s site (to be mapped on the Global‑e
            side)
        Name:
          type: string
          description: Brand name
    Category:
      type: object
      title: Category
      properties:
        CategoryCode:
          type: string
          description: >-
            Category code on the Merchant site (to be mapped on the Global‑e
            side)
        Name:
          type: string
          description: Category name
    VATRateType:
      type: object
      title: VATRateType
      properties:
        Name:
          type: string
          description: VAT rate type name
        Rate:
          type: number
          description: VAT rate decimal value
        VATRateTypeCode:
          type: string
          description: >-
            VAT rate type (or class) code on the Merchant’s site (to be mapped
            on the Global-e side)
    ProductMetaData:
      type: object
      title: ProductMetaData
      properties:
        Attributes:
          type: array
          items:
            $ref: '#/components/schemas/Attributes'
          description: >-
            Customer-defined product attributes that allow the personalisation
            of the product if supported by the merchant’s site (e.g. engraving)
    VATCategory:
      type: object
      title: VATCategory
      properties:
        Name:
          type: string
          description: VAT Category name
        VATCategoryCode:
          type: string
          description: >-
            Code used to identify the VAT category on the Merchant’s site (to be
            mapped on the Global‑e side)
    AddressDetails:
      type: object
      title: AddressDetails
      properties:
        Address1:
          type: string
          description: Address line 1.
        Address2:
          type: string
          description: Address line 2.
        AddressBookId:
          type: string
          description: Id of the current address from within the address book
        AddressBookName:
          type: string
          description: Name of the current address from within the address book
        City:
          type: string
          description: City name.
        Company:
          type: string
          description: Company name
        CountryCode:
          type: string
          description: 2-char ISO country code
        Email:
          type: string
          description: E-mail address
        Fax:
          type: string
          description: Fax
        FirstName:
          type: string
          description: First name
        FirstNameInLocalCulture:
          type: string
          description: First name in local culture
        IsBilling:
          type: boolean
          description: Indicates that the current address can be used as a billing address
        IsDefaultBilling:
          type: boolean
          description: Indicates that the current address is the default billing address
        IsDefaultShipping:
          type: boolean
          description: Indicates that the current address is the default shipping address
        IsShipping:
          type: boolean
          description: Indicates that the current address can be used as a shipping address
        LastName:
          type: string
          description: Last name
        LastNameInLocalCulture:
          type: string
          description: Last name in local culture
        MiddleName:
          type: string
          description: Middle name
        Phone1:
          type: string
          description: Phone
        Phone2:
          type: string
          description: Phone
        Salutation:
          type: string
          description: Salutation or title (e.g. Dr., Mr., etc.).
        StateCode:
          type: string
          description: State or province ISO code such as AZ for Arizona (if applicable)
        StateOrProvince:
          type: string
          description: State or province name
        UserIdNumber:
          type: string
          description: User’s personal ID document number
        UserIdNumberType:
          allOf:
            - $ref: '#/components/schemas/UserIdNumberType'
          description: User’s personal ID document type (e.g. Passport, ID card, etc.)
        Zip:
          type: string
          description: Zip or postal code

````